# Interface methods for submodule: LabelMapContourOverlayImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import LabelMapFilterProxy as _LabelMapFilterProxy


# Interface methods for class: LabelMapContourOverlayImageFilter
class LabelMapContourOverlayImageFilterProxy(_LabelMapFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetFeatureImage(self, input) -> None:
		""""""
		...

	def GetFeatureImage(self):
		""""""
		...

	def SetInput1(self, input) -> None:
		""""""
		...

	def SetInput2(self, input) -> None:
		""""""
		...

	def SetOpacity(self, _arg: float) -> None:
		""""""
		...

	def GetOpacity(self) -> float:
		""""""
		...

	def SetType(self, _arg: int) -> None:
		""""""
		...

	def GetType(self) -> int:
		""""""
		...

	def SetPriority(self, _arg: int) -> None:
		""""""
		...

	def GetPriority(self) -> int:
		""""""
		...

	def SetDilationRadius(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetDilationRadius(self) -> Sequence[int]:
		""""""
		...

	def SetContourThickness(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetContourThickness(self) -> Sequence[int]:
		""""""
		...

	def SetSliceDimension(self, _arg: int) -> None:
		""""""
		...

	def GetSliceDimension(self) -> int:
		""""""
		...

	def SetFunctor(self, functor) -> None:
		""""""
		...

	def GetFunctor(self):
		""""""
		...

